Gå til hovedinnhold

Fetch residents on a property

GET 

/property/residents

Residents Information Endpoint

Overview

This endpoint retrieves the list of persons associated with a specific property based on the provided property_id_nma. The response includes details such as name, person ID, person number, and phone number.

It matches people to properties based on addresses registered to the property in the Norwegian Mapping Authority (Kartverket) database. If these addresses match the addresses registered to a person in the Norwegian Mapping Authority (Kartverket) database, the person is associated with the property.

This works best on the main property (grunneiendom) level, as it includes all sections (seksjoner) associated with the main property. Several sections may share the same address, so the response may include multiple persons not actually living in the specific section queried, but living on the same address.

Example Request

  • Request example with both property-id-nma and batch-id
curl -X 'GET' \
'https://apis.propcloud.no/api/public/property/residents?property-id-nma=0301-210-56-0-0&batch-id=224' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'
  • Request example with only property-id-nma
curl -X 'GET' \
'https://apis.propcloud.no/api/public/property/residents?property-id-nma=0301-210-56-0-0' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
nameFull name of the personFullt navn paa personenKartverket
phonePhone number of the personTelefonnummer til personenGule Sider
personIdUnique identifier for personenUnik identifikator for personen
Feltet heter PersonId i Matrikkelen
Kartverket
personNumberFor physical persons: 6 digit person number (birthdate)For fysiske personer: 6-sifret fodselsnummerKartverket
batchIdUnique identifier for the batch of recordsUnik identifikator for batchenPropCloud
propertyIdUnique identifier for the property.Unik identifikator for eiendommen.
Feltet heter MatrikkelenhetId i Matrikkelen
PropCloud
propertyIdNmaUnique identifier for the property, generated by PropCloud based on:
city number, ground number, usage number, lease number and section number
Unik identifikator for eiendommen generert av PropCloud basert paa:
kommunenummer, gaardsnummer, bruksnummer, festenummer og seksjonsnummer
PropCloud
addressIdUnique identifier for the address of the unit.Unik identifikator for adressen til enheten.Kartverket

Request

Responses

Successful Response